org.rrd4j.core

## Class RrdDoubleMatrix<U extends RrdUpdater<U>>

- java.lang.Object
- - org.rrd4j.core.RrdPrimitive<U>
  - - org.rrd4j.core.RrdDoubleMatrix<U>

- Type Parameters:
    `U` - The type of RrdUpdater this primitive belongs to

      class RrdDoubleMatrix<U extends RrdUpdater<U>>
      extends RrdPrimitive<U>

  RRD primitive type for handling matrices of double values.

  This class provides methods to store and retrieve two-dimensional matrices of double values in RRD files. It organizes data in a row-column format and provides efficient access to individual elements and ranges.

- - ### Field Summary

    - ### Fields inherited from class org.rrd4j.core.RrdPrimitive

      `RRD_DOUBLE, RRD_INT, RRD_LONG, RRD_PRIM_SIZES, RRD_STRING, STRING_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RrdDoubleMatrix(RrdUpdater<U> updater, int row, int column, boolean shouldInitialize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) double` | `get(int column, int index)`
    `(package private) double[]` | `get(int column, int index, int count)`
    `int` | `getColumns()` Getter for the field `columns`.
    `int` | `getRows()` Getter for the field `rows`.
    `(package private) void` | `set(int column, int index, double value)`
    `void` | `set(int column, int index, double[] newValues)` set.
    `(package private) void` | `set(int column, int index, double value, int count)`

    - ### Methods inherited from class org.rrd4j.core.RrdPrimitive

      `isCachingAllowed, readBytes, readDouble, readDouble, readDouble, readEnum, readInt, readLong, readString, writeBytes, writeDouble, writeDouble, writeDouble, writeDouble, writeEnum, writeInt, writeLong, writeString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RrdDoubleMatrix

          RrdDoubleMatrix(RrdUpdater<U> updater,
                          int row,
                          int column,
                          boolean shouldInitialize)
                   throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### get

          double get(int column,
                     int index)
              throws IOException

      Throws:
        `IOException`

    - #### get

          double[] get(int column,
                       int index,
                       int count)
                throws IOException

      Throws:
        `IOException`

    - #### getColumns

          public int getColumns()

      Getter for the field `columns`.
      Returns:
        a int.

    - #### getRows

          public int getRows()

      Getter for the field `rows`.
      Returns:
        a int.

    - #### set

          void set(int column,
                   int index,
                   double value)
            throws IOException

      Throws:
        `IOException`

    - #### set

          public void set(int column,
                          int index,
                          double[] newValues)
                   throws IOException

      set.
      Parameters:
        `column` - a int.
        `index` - a int.
        `newValues` - an array of double.
      Throws:
        `IOException` - if any.

    - #### set

          void set(int column,
                   int index,
                   double value,
                   int count)
            throws IOException

      Throws:
        `IOException`